can't drop track on waveform in win7-8

Bug #1091328 reported by Max Linke on 2012-12-17
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mixxx
High
RJ Ryan

Bug Description

With the 64bit build of the current beta it is not possible for me to drop a track on the waveform. It works perfectly on the 32bit version

Max Linke (max-linke) on 2012-12-17
Changed in mixxx:
milestone: none → 1.11.0
Daniel Schürmann (daschuer) wrote :

From https://bugs.launchpad.net/mixxx/+bug/1094119/comments/4

Claudiush Orkski (claudiush78) wrote on 2012-12-27: #4

win 7 64bit
But i can load file to progress view of the waveform the smaller beyond main waveform area

Max Linke (max-linke) wrote :

it works with the latest build

Changed in mixxx:
importance: Undecided → Low
status: New → Fix Committed

Do we know what caused it?

On Tue, Jan 22, 2013 at 5:14 AM, Max Linke <email address hidden>wrote:

> it works with the latest build
>
> ** Changed in: mixxx
> Importance: Undecided => Low
>
> ** Changed in: mixxx
> Status: New => Fix Committed
>
> --
> You received this bug notification because you are a member of Mixxx
> Development Team, which is subscribed to Mixxx.
> https://bugs.launchpad.net/bugs/1091328
>
> Title:
> can't drop track on waveform in win7 64bit
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mixxx/+bug/1091328/+subscriptions
>

Just did a fresh install of Windows 8 in a VM and came across this bug with latest mixxx-1.11.0-pre-bzr3747-x86.exe, interestingly in a 32bit Windows install. THe cause of the bug seems not to be fixed.

Claudiush Orkski (claudiush78) wrote :

nope on build 3750, i still cant drop track into waveform. I drop only into progress view

WIN7 64bits

jus (jus) on 2013-02-15
summary: - can't drop track on waveform in win7 64bit
+ can't drop track on waveform in win7-8
Changed in mixxx:
importance: Low → High
status: Fix Committed → Confirmed
Max Linke (max-linke) wrote :

I've created a diff that puts out some debuging information when tracks are droped on the waveform.
It would be nice if this could be build on the buildserver so that we get more information on whats happening.

Daniel Schürmann (daschuer) wrote :

Hi Max,

I have committed your patch to my trunk revision 3161.
You should find a windows build at
http://builds.mixxx.org/builds/experimental-daschuers_trunk/r3161/
soon.

Daniel Schürmann (daschuer) wrote :

Btw. It would be nice if you can tr also waveform scratch and report your results at Bug #1117806. Thank you!

I can't find a windows build on the build server. I will also not be
able to test this for another week because I won't have access to a
windows PC.

Am 3/1/2013 11:10 PM, schrieb Daniel Schürmann:
> Btw. It would be nice if you can tr also waveform scratch and report
> your results at Bug #1117806. Thank you!
>

jus (jus) wrote :

Tested Mixxx 1.11.0-pre "(bzr daschuer~daschuers-trunk r3162; built on: Mar 2 2013 @ 19:19:48; on Win8 32bit VM (Parallels).

When trying to drop a track to the waveform, mixxx.log reads:
Debug [Main]: kain88 overview = "[Channel1]"
Debug [Main]: Kain88 waveform= [Channel1]
Debug [Main]: could I get the ControlObject true
Debug [Main]: Is the deck playing true
Debug [Main]: allowTrackLoadToPlayingDeck 0
Debug [Engine]: 0 0 0 0.02322
Debug [Engine]: 0 0 0 0.02322
Debug [Engine]: 0 0 0 0.02322
Debug [Main]: kain88 overview = "[Channel1]"
Debug [Main]: Kain88 waveform= [Channel1]
Debug [Main]: could I get the ControlObject true
Debug [Main]: Is the deck playing true
Debug [Main]: allowTrackLoadToPlayingDeck 0

If i select the "Empty","Software" or "HSV" waveform in the Preferences and restart Mixxx, drag-and-drop suddenly works - as long as you dont change the waveform preferences.

Max Linke (max-linke) wrote :

Was the deck actually playing. Because it looks like mixxx thinks it is and
then it is not possible to drop a track (as desired). I'm still not sure if we
get the right controllObject so we could do it as in woverview.* and make the
controllObject a privat variable that gets initialized in the constructor.

I can prepare a patch on sunday

On Thu, 07 Mar 2013 17:41:32 -0000
jus <email address hidden> wrote:

> Tested Mixxx 1.11.0-pre "(bzr daschuer~daschuers-trunk r3162; built on:
> Mar 2 2013 @ 19:19:48; on Win8 32bit VM (Parallels).
>
> When trying to drop a track to the waveform, mixxx.log reads:
> Debug [Main]: kain88 overview = "[Channel1]"
> Debug [Main]: Kain88 waveform= [Channel1]
> Debug [Main]: could I get the ControlObject true
> Debug [Main]: Is the deck playing true
> Debug [Main]: allowTrackLoadToPlayingDeck 0
> Debug [Engine]: 0 0 0 0.02322
> Debug [Engine]: 0 0 0 0.02322
> Debug [Engine]: 0 0 0 0.02322
> Debug [Main]: kain88 overview = "[Channel1]"
> Debug [Main]: Kain88 waveform= [Channel1]
> Debug [Main]: could I get the ControlObject true
> Debug [Main]: Is the deck playing true
> Debug [Main]: allowTrackLoadToPlayingDeck 0
>
> If i select the "Empty","Software" or "HSV" waveform in the Preferences
> and restart Mixxx, drag-and-drop suddenly works - as long as you dont
> change the waveform preferences.
>

jus (jus) wrote :

No deck was playing.

------------
S.Brandt
Mixxx - Free Digital DJ Mixing Software
www.mixxx.org (http://www.mixxx.org/) | Get Involved (http://mixxx.org/get-involved/)
Sent with Sparrow (http://www.sparrowmailapp.com/?sig)

On Thursday, March 7, 2013 at 7:11 PM, Max Linke wrote:

> Was the deck actually playing. Because it looks like mixxx thinks it is and
> then it is not possible to drop a track (as desired). I'm still not sure if we
> get the right controllObject so we could do it as in woverview.* and make the
> controllObject a privat variable that gets initialized in the constructor.
>
> I can prepare a patch on sunday
>
>
> On Thu, 07 Mar 2013 17:41:32 -0000
> jus <<email address hidden> (mailto:<email address hidden>)> wrote:
>
> > Tested Mixxx 1.11.0-pre "(bzr daschuer~daschuers-trunk r3162; built on:
> > Mar 2 2013 @ 19:19:48; on Win8 32bit VM (Parallels).
> >
> > When trying to drop a track to the waveform, mixxx.log reads:
> > Debug [Main]: kain88 overview = "[Channel1]"
> > Debug [Main]: Kain88 waveform= [Channel1]
> > Debug [Main]: could I get the ControlObject true
> > Debug [Main]: Is the deck playing true
> > Debug [Main]: allowTrackLoadToPlayingDeck 0
> > Debug [Engine]: 0 0 0 0.02322
> > Debug [Engine]: 0 0 0 0.02322
> > Debug [Engine]: 0 0 0 0.02322
> > Debug [Main]: kain88 overview = "[Channel1]"
> > Debug [Main]: Kain88 waveform= [Channel1]
> > Debug [Main]: could I get the ControlObject true
> > Debug [Main]: Is the deck playing true
> > Debug [Main]: allowTrackLoadToPlayingDeck 0
> >
> > If i select the "Empty","Software" or "HSV" waveform in the Preferences
> > and restart Mixxx, drag-and-drop suddenly works - as long as you dont
> > change the waveform preferences.
> >
>
>
> --
> You received this bug notification because you are a member of Mixxx
> Development Team, which is subscribed to Mixxx.
> https://bugs.launchpad.net/bugs/1091328
>
> Title:
> can't drop track on waveform in win7-8
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mixxx/+bug/1091328/+subscriptions
>
>

Max Linke (max-linke) wrote :

Ok it seems like the controll object is thinking that the deck is playing. I'm not sure why this is happening or if we even get the right ControllObject.

Here is another patch that uses a private member variable like woverview, lets see if this works. Although I don't understand why it stops working when we change the waveformrenderer

Daniel Schürmann (daschuer) wrote :

A build should be soon available at:
http://builds.mixxx.org/builds/experimental-daschuers_trunk/r3164/

I would be really pleased for a little additional Bug #1117806 test ;-). Thank you!

Max Linke (max-linke) wrote :

You and the build server seem to have some problems lately : )

Daniel Schürmann (daschuer) wrote :

Mmm .. the same procedure as last time ...
We have to wait until RJ is back for fixing the build server
... or is one else able to do it?

Max Linke (max-linke) wrote :

we might be seeing this bug from Qt here

https://bugreports.qt-project.org/browse/QTBUG-27265

I've just compiled 1.11 r3778 on windows7 with Qt 4.8.4 and everything works fine

Max Linke (max-linke) wrote :

Ok now I'm sure this is an issue how mixxx is build on the buildserver.

I found the Qt 4.8.2 binaries and when I compile mixxx with them it works. I'm compiling with the static libs that Sean provided

Wait, what? The static libraries I posted to https://code.launchpad.net/~mixxxdevelopers/mixxx/winlib-msvc10-x86-static are straight from the build server! I guess I need to take a close look at how the autobuilds are working. They're supposed to be using those same libs. What say you, RJ?

Daniel: I have access to the Windows VM on the build server but RJ set up the auto build process so I have to be careful if I make changes since it's kindof confusing how it's all set up.

Max Linke (max-linke) wrote :

Here is the command I used for building.

Scons toolchain = msvs winlib=<path> sqlitedll=0 force32=1 asmlib=0 staticlibs=1

I have the recent stable release of second installed. Sean could you check if the error already occurs in the build from scons on that machine or if this I only after it is packed in the installer?

I also played a bit more and found out that this is only triggered once a waveform with GL is loaded (hsv,software,none all work fine even switching between them)

"Sean M. Pappalardo" <email address hidden> wrote:

>Wait, what? The static libraries I posted to
>https://code.launchpad.net/~mixxxdevelopers/mixxx/winlib-
>msvc10-x86-static are straight from the build server! I guess I need to
>take a close look at how the autobuilds are working. They're supposed to
>be using those same libs. What say you, RJ?
>
>Daniel: I have access to the Windows VM on the build server but RJ set
>up the auto build process so I have to be careful if I make changes
>since it's kindof confusing how it's all set up.
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1091328
>
>Title:
> can't drop track on waveform in win7-8
>
>Status in Mixxx:
> Confirmed
>
>Bug description:
> With the 64bit build of the current beta it is not possible for me to
> drop a track on the waveform. It works perfectly on the 32bit version
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/mixxx/+bug/1091328/+subscriptions

RJ Ryan (rryan) wrote :

Here is a rough outline of how the build server does things (note we use Qt
4.8.3):

MIXXX_X is either x86 or x64
MIXXX_MACHINE is either i386 or amd64

SetEnv /xp /release /%MIXXX_X%

We also do the DirectX SDK's SetEnv.

SET QTDIR=C:\Qt\4.8.3\%MIXXX_X%
SET LIB=C:\Mixxx\lib\asmlib;%LIB%
SET INCLUDE=C:\Mixxx\lib\asmlib;%INCLUDE%
SET PATH=C:\Mixxx\lib\bin;%PATH%
scons mixxx -j5 toolchain=msvs machine=%MIXXX_MACHINE% mediafoundation=1
sqlitedll=0 staticlibs=1 winlib=c:\Mixxx\lib\1.11\%MIXXX_X%
scons makerelease toolchain=msvs machine=%MIXXX_MACHINE% mediafoundation=1
sqlitedll=0 staticlibs=1 winlib=c:\Mixxx\lib\1.11\%MIXXX_X%

Sean -- is every dependency built with asmlib? We don't build the main
Mixxx binary with asmlib turned on.

On Fri, Mar 29, 2013 at 6:57 PM, Max Linke <email address hidden>wrote:

> Here is the command I used for building.
>
> Scons toolchain = msvs winlib=<path> sqlitedll=0 force32=1 asmlib=0
> staticlibs=1
>
> I have the recent stable release of second installed. Sean could you
> check if the error already occurs in the build from scons on that
> machine or if this I only after it is packed in the installer?
>
> I also played a bit more and found out that this is only triggered once
> a waveform with GL is loaded (hsv,software,none all work fine even
> switching between them)
>
> "Sean M. Pappalardo" <email address hidden> wrote:
>
> >Wait, what? The static libraries I posted to
> >https://code.launchpad.net/~mixxxdevelopers/mixxx/winlib-
> >msvc10-x86-static are straight from the build server! I guess I need to
> >take a close look at how the autobuilds are working. They're supposed to
> >be using those same libs. What say you, RJ?
> >
> >Daniel: I have access to the Windows VM on the build server but RJ set
> >up the auto build process so I have to be careful if I make changes
> >since it's kindof confusing how it's all set up.
> >
> >--
> >You received this bug notification because you are subscribed to the bug
> >report.
> >https://bugs.launchpad.net/bugs/1091328
> >
> >Title:
> > can't drop track on waveform in win7-8
> >
> >Status in Mixxx:
> > Confirmed
> >
> >Bug description:
> > With the 64bit build of the current beta it is not possible for me to
> > drop a track on the waveform. It works perfectly on the 32bit version
> >
> >To manage notifications about this bug go to:
> >https://bugs.launchpad.net/mixxx/+bug/1091328/+subscriptions
>
> --
> You received this bug notification because you are a member of Mixxx
> Development Team, which is subscribed to Mixxx.
> https://bugs.launchpad.net/bugs/1091328
>
> Title:
> can't drop track on waveform in win7-8
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mixxx/+bug/1091328/+subscriptions
>

RJ Ryan (rryan) wrote :

Max, I don't think QTBUG-27265 affects Qt 4.8.2, just 4.8.3.

Going on the assumption that we are seeing that bug, I will compile Qt
4.8.4 on the build server and see if that fixes things.

On Fri, Mar 29, 2013 at 7:18 PM, RJ Ryan <email address hidden> wrote:

> Here is a rough outline of how the build server does things (note we use
> Qt 4.8.3):
>
> MIXXX_X is either x86 or x64
> MIXXX_MACHINE is either i386 or amd64
>
> SetEnv /xp /release /%MIXXX_X%
>
> We also do the DirectX SDK's SetEnv.
>
> SET QTDIR=C:\Qt\4.8.3\%MIXXX_X%
> SET LIB=C:\Mixxx\lib\asmlib;%LIB%
> SET INCLUDE=C:\Mixxx\lib\asmlib;%INCLUDE%
> SET PATH=C:\Mixxx\lib\bin;%PATH%
> scons mixxx -j5 toolchain=msvs machine=%MIXXX_MACHINE% mediafoundation=1
> sqlitedll=0 staticlibs=1 winlib=c:\Mixxx\lib\1.11\%MIXXX_X%
> scons makerelease toolchain=msvs machine=%MIXXX_MACHINE% mediafoundation=1
> sqlitedll=0 staticlibs=1 winlib=c:\Mixxx\lib\1.11\%MIXXX_X%
>
> Sean -- is every dependency built with asmlib? We don't build the main
> Mixxx binary with asmlib turned on.
>
>
> On Fri, Mar 29, 2013 at 6:57 PM, Max Linke <email address hidden>wrote:
>
>> Here is the command I used for building.
>>
>> Scons toolchain = msvs winlib=<path> sqlitedll=0 force32=1 asmlib=0
>> staticlibs=1
>>
>> I have the recent stable release of second installed. Sean could you
>> check if the error already occurs in the build from scons on that
>> machine or if this I only after it is packed in the installer?
>>
>> I also played a bit more and found out that this is only triggered once
>> a waveform with GL is loaded (hsv,software,none all work fine even
>> switching between them)
>>
>> "Sean M. Pappalardo" <email address hidden> wrote:
>>
>> >Wait, what? The static libraries I posted to
>> >https://code.launchpad.net/~mixxxdevelopers/mixxx/winlib-
>> >msvc10-x86-static are straight from the build server! I guess I need to
>> >take a close look at how the autobuilds are working. They're supposed to
>> >be using those same libs. What say you, RJ?
>> >
>> >Daniel: I have access to the Windows VM on the build server but RJ set
>> >up the auto build process so I have to be careful if I make changes
>> >since it's kindof confusing how it's all set up.
>> >
>> >--
>> >You received this bug notification because you are subscribed to the bug
>> >report.
>> >https://bugs.launchpad.net/bugs/1091328
>> >
>> >Title:
>> > can't drop track on waveform in win7-8
>> >
>> >Status in Mixxx:
>> > Confirmed
>> >
>> >Bug description:
>> > With the 64bit build of the current beta it is not possible for me to
>> > drop a track on the waveform. It works perfectly on the 32bit version
>> >
>> >To manage notifications about this bug go to:
>> >https://bugs.launchpad.net/mixxx/+bug/1091328/+subscriptions
>>
>> --
>> You received this bug notification because you are a member of Mixxx
>> Development Team, which is subscribed to Mixxx.
>> https://bugs.launchpad.net/bugs/1091328
>>
>> Title:
>> can't drop track on waveform in win7-8
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/mixxx/+bug/1091328/+subscriptions
>>
>
>

Max Linke (max-linke) wrote :

jup that bug only affects QT 4.8.3 I just compiled with 4.8.3 and see the bug on my own build. So updating the buildserver to 4.8.3 should fix it

Changed in mixxx:
status: Confirmed → In Progress
assignee: nobody → RJ Ryan (rryan)
Max Linke (max-linke) wrote :

hups I meant 4.8.4

RJ Ryan (rryan) wrote :

I have built Qt 4.8.4 on the build server. Can you try this build?
http://builds.mixxx.org/builds/release-1.11.x/r3793/

On Mon, Apr 1, 2013 at 2:03 PM, Max Linke <email address hidden>wrote:

> hups I meant 4.8.4
>
> --
> You received this bug notification because you are a member of Mixxx
> Development Team, which is subscribed to Mixxx.
> https://bugs.launchpad.net/bugs/1091328
>
> Title:
> can't drop track on waveform in win7-8
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mixxx/+bug/1091328/+subscriptions
>

Max Linke (max-linke) wrote :

awesome this fixed it. Then their shouldn't be anything in the way for 1.11 or?

Also could you add a branch for the 64bit dependencies that would be nice

Changed in mixxx:
status: In Progress → Fix Committed
Claudiush Orkski (claudiush78) wrote :

OK fixed

RJ Ryan (rryan) on 2013-05-09
Changed in mixxx:
status: Fix Committed → Fix Released
Max Linke (max-linke) wrote :

Looks like Qt is tricking us again. This reappeared for me on Windows 7 with the 1.12 alpha

Changed in mixxx:
status: Fix Released → Confirmed
assignee: RJ Ryan (rryan) → nobody
milestone: 1.11.0 → 1.12.0
Max Linke (max-linke) wrote :

Acording to the log file the current Beta is build with Qt 4.8.3. Can you change that again to x.x.4/5?

Changed in mixxx:
assignee: nobody → RJ Ryan (rryan)
tags: added: windows
RJ Ryan (rryan) wrote :

FWIW I'm also having issues with DnD to waveforms on OS X. It seems to work sometimes but not others.

Max Linke (max-linke) wrote :

From your builds or the ones from the buildserver. I just installed the Mac OS beta on 10.8.5 and there the log also says that the bundled qt version is 4.8.3.

jus (jus) wrote :

On Apr 5, 2014, at 7:57 PM, RJ Ryan <email address hidden> wrote:

> FWIW I'm also having issues with DnD to waveforms on OS X. It seems to
> work sometimes but not others.
>

When dropping tracks to woverview on OSX, sometimes the plaposmarker is stuck at the position where the mouse pointer was at the moment of dropping. It sets back to the correct position when you start the playback.

RJ Ryan (rryan) wrote :

Sometimes drag-and-drop of tracks doesn't work across the entire app on the first run of Mixxx but after reloading the skin it does.

OSX 10.9.5
Qt 4.8.x built from head

Owen Williams (ywwg) wrote :

Is this still a thing?

Owen Williams (ywwg) wrote :

pinging again... removing milestone for now

Changed in mixxx:
milestone: 2.0.0 → none
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers